# determineCandidateConstructors method

Future<List<Constructor>?> determineCandidateConstructors(

1. Class podClass,
2. String name

)

Determine the candidate constructors to use for the given pod.

This method is called before pod instantiation to allow the post-processor to determine which constructors should be considered for autowiring.

## Parameters

- `podClass`: The raw class of the pod
- `name`: The name of the pod

## Return Value

Returns the candidate constructors, or null to use the default constructors

## Implementation

    Future<List<Constructor>?> determineCandidateConstructors(Class podClass, String name) async => null;